import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerAccountUpdateUserResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerAccountUpdateUserProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def update_user(
        self,
        *,
        account_id: int,
        user_name: str,
        access_type: _nested.AccessTypeForSet,
    ) -> CloudbrokerAccountUpdateUserResultBool:
        ...
